package main

import (
	"fmt"
	"io"
	"log"
	"os"
	"path/filepath"
)

var (
	myserver_root = "./"
)

func main() {

	// プログラム配置場所のTOPを取得
	myserver_root = os.Getenv("MYSERVER_ROOT")
	fmt.Println("MYSERVER_ROOT = ", myserver_root)

	// ログ出力準備
	logfile, err := os.OpenFile(filepath.Join(myserver_root, "log", "MyFunction", "notify_create"),
		os.O_APPEND|os.O_CREATE|os.O_WRONLY, 0666)
	if err != nil {
		panic("cannnot open test.log:" + err.Error())
	}
	defer logfile.Close()
	log.SetOutput(io.MultiWriter(logfile, os.Stdout))
	log.SetFlags(log.Ldate | log.Ltime)

	// 引数解析
	if len(os.Args) != 3 {
		log.Println("Usage: " + filepath.Base(os.Args[0]) + "<data store>> <file>")
		os.Exit(1)
	}
	data_store := os.Args[1]
	log.Println(data_store)
	file_name := os.Args[2]
	log.Println(file_name)

	/*
	   ここに、ファイル作成時の通知処理を記述する
	*/

}
